{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "python"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.managePy_Path)manage.py"
                },
                {
                    "position": 2,
                    "prefix": "addblast",
                    "valueFrom": "$(inputs.scientific_name[0])"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.scientific_name[1])"
                },
                {
                    "position": 4,
                    "prefix": "-t",
                    "valueFrom": "nucleotide"
                },
                {
                    "position": 4,
                    "valueFrom": "Genome"
                },
                {
                    "position": 5,
                    "valueFrom": "Assembly"
                },
                {
                    "position": 6,
                    "prefix": "-f",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 7,
                    "prefix": "-d",
                    "valueFrom": "$(inputs.scientific_name[0]) $(inputs.scientific_name[1]) genome assembly, $(inputs.tree[1])"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#addblast-genome.cwl/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#addblast-genome.cwl/in_fasta"
                },
                {
                    "type": "string",
                    "id": "#addblast-genome.cwl/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#addblast-genome.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#addblast-genome.cwl/tree"
                }
            ],
            "stdout": "addblast.dummy",
            "id": "#addblast-genome.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#addblast-genome.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "addblast.dummy"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_fasta)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.blastdb_Path)"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#addfile_2_db.cwl/blastdb_Path"
                },
                {
                    "type": "File",
                    "id": "#addfile_2_db.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#addfile_2_db.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "addfile_2_db.dummy"
                    }
                }
            ],
            "stdout": "addfile_2_db.dummy",
            "id": "#addfile_2_db.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.managePy_Path)manage.py"
                },
                {
                    "position": 2,
                    "prefix": "addorganism",
                    "valueFrom": "$(inputs.scientific_name[0])"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.scientific_name[1])"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#addorganism.cwl/in_dummy"
                },
                {
                    "type": "string",
                    "id": "#addorganism.cwl/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#addorganism.cwl/scientific_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#addorganism.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "addOrganism.dummy"
                    }
                }
            ],
            "stdout": "addOrganism.dummy",
            "id": "#addorganism.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/blastdb_Path"
                },
                {
                    "type": "File",
                    "id": "#main/in_fasta"
                },
                {
                    "type": "string",
                    "id": "#main/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#addblast-genome.cwl",
                    "in": [
                        {
                            "source": "#main/addorganism/out_dummy",
                            "id": "#main/addblast/in_dummy"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/addblast/in_fasta"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/addblast/managePy_Path"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/addblast/scientific_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/addblast/tree"
                        }
                    ],
                    "out": [
                        "#main/addblast/out_dummy"
                    ],
                    "id": "#main/addblast"
                },
                {
                    "run": "#addfile_2_db.cwl",
                    "in": [
                        {
                            "source": "#main/blastdb_Path",
                            "id": "#main/addfile_2_db/blastdb_Path"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/addfile_2_db/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/addfile_2_db/out_dummy"
                    ],
                    "id": "#main/addfile_2_db"
                },
                {
                    "run": "#addorganism.cwl",
                    "in": [
                        {
                            "source": "#main/addfile_2_db/out_dummy",
                            "id": "#main/addorganism/in_dummy"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/addorganism/managePy_Path"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/addorganism/scientific_name"
                        }
                    ],
                    "out": [
                        "#main/addorganism/out_dummy"
                    ],
                    "id": "#main/addorganism"
                },
                {
                    "run": "#makeblastdb.cwl",
                    "in": [
                        {
                            "source": "#main/addblast/out_dummy",
                            "id": "#main/makeblastdb/in_dummy"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/makeblastdb/in_fasta"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/makeblastdb/managePy_Path"
                        }
                    ],
                    "out": [
                        "#main/makeblastdb/out_dummy"
                    ],
                    "id": "#main/makeblastdb"
                },
                {
                    "run": "#populatesequence.cwl",
                    "in": [
                        {
                            "source": "#main/makeblastdb/out_dummy",
                            "id": "#main/populatesequence/in_dummy"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/populatesequence/in_fasta"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/populatesequence/managePy_Path"
                        }
                    ],
                    "out": [
                        "#main/populatesequence/out_dummy"
                    ],
                    "id": "#main/populatesequence"
                },
                {
                    "run": "#showblast.cwl",
                    "in": [
                        {
                            "source": "#main/populatesequence/out_dummy",
                            "id": "#main/showblast/in_dummy"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/showblast/in_fasta"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/showblast/managePy_Path"
                        }
                    ],
                    "out": [
                        "#main/showblast/out_dummy"
                    ],
                    "id": "#main/showblast"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/addorganism/out_dummy",
                    "id": "#main/out_dummy"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "python"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.managePy_Path)manage.py"
                },
                {
                    "position": 2,
                    "prefix": "blast_utility",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "-m"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#makeblastdb.cwl/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#makeblastdb.cwl/in_fasta"
                },
                {
                    "type": "string",
                    "id": "#makeblastdb.cwl/managePy_Path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#makeblastdb.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "makeblastdb.dummy"
                    }
                }
            ],
            "stdout": "makeblastdb.dummy",
            "id": "#makeblastdb.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "python"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.managePy_Path)manage.py"
                },
                {
                    "position": 2,
                    "prefix": "blast_utility",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "-p"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#populatesequence.cwl/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#populatesequence.cwl/in_fasta"
                },
                {
                    "type": "string",
                    "id": "#populatesequence.cwl/managePy_Path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#populatesequence.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "populatesequence.dummy"
                    }
                }
            ],
            "stdout": "populatesequence.dummy",
            "id": "#populatesequence.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "python"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.managePy_Path)manage.py"
                },
                {
                    "position": 2,
                    "prefix": "blast_shown",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "prefix": "--shown",
                    "valueFrom": "true"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#showblast.cwl/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#showblast.cwl/in_fasta"
                },
                {
                    "type": "string",
                    "id": "#showblast.cwl/managePy_Path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#showblast.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "showblast.dummy"
                    }
                }
            ],
            "stdout": "showblast.dummy",
            "id": "#showblast.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
